You cannot select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
 
 
Go to file
Maxime Rainville 41bf421843 Update translations 2 years ago
.tx Revert "Removing translations in preparation for namepsacing them" 6 years ago
_config Merge branch '3.2' into 3.3 3 years ago
client Upgradeing dependencies 4 years ago
docs Make featured images directory configurable 4 years ago
lang Update translations 2 years ago
src Merge pull request #643 from creative-commoners/pulls/3.6/explain-defaults 2 years ago
templates Fix category and tag buttons using input groups from bootstrap 3 years ago
tests Switch assertions to test the end of the strings 4 years ago
.codecov.yml Adding .codecov.yml file 6 years ago
.editorconfig Update readme, editorconfig, phpcs ruleset 5 years ago
.eslintignore Upgradeing dependencies 4 years ago
.eslintrc.js API Convert gulp and Compass builds to use Webpack 5 years ago
.gitattributes Update readme, editorconfig, phpcs ruleset 5 years ago
.gitignore Set docblock for the setButtonName method, and don't invalidate localisation text. 4 years ago
.nvmrc Upgradeing dependencies 4 years ago
.sass-lint.yml API Convert gulp and Compass builds to use Webpack 5 years ago
.scrutinizer.yml Update Travis and Scrutinizer configuration, add note to readme 6 years ago
.travis.yml MNT Travis shared config, use sminnee/phpunit 3 years ago
.upgrade.yml update namespace for blog controllers 5 years ago
README.md Update build status badge 2 years ago
_config.php FIX refactored to remove code from _config.php 6 years ago
changelog.md Update changelog for 2.4.2 7 years ago
code-of-conduct.md Added standard code of conduct 8 years ago
composer.json MNT Travis shared config, use sminnee/phpunit 3 years ago
license.md Update license year 5 years ago
package.json MNT Travis shared config, use sminnee/phpunit 3 years ago
phpcs.xml.dist MNT Travis shared config, use sminnee/phpunit 3 years ago
phpunit.xml.dist FIX convert CI bootstrap references to new their new locations in vendor 6 years ago
webpack.config.js API Convert gulp and Compass builds to use Webpack 5 years ago
yarn.lock Bump ws from 6.2.1 to 6.2.2 2 years ago

README.md

SilverStripe Blog Module

Build Status Scrutinizer Code Quality codecov.io SilverStripe supported module

Documentation

Requirements

  • SilverStripe CMS 4.0+
  • SilverStripe Lumberjack Module 2.0+
  • SilverStripe Tag Field Module 2.0+
  • SilverStripe Assets 1.0+
  • SilverStripe Asset Admin Module 1.0+

Note: this version is compatible with SilverStripe 4. For SilverStripe 3, please see the 2.x release line.

Suggested Modules

  • SilverStripe Widgets Module
  • SilverStripe Comments Module

Installation

composer require silverstripe/blog

Upgrading

Upgrading from 2.x to 3.x

Aside from the framework and CMS upgrades required the blog module should not require anything extra to be completed.

Upgrading legacy blog to 2.x

If you're upgrading from blog version 1.0 to 2.x you will need to run the BlogMigrationTask. Run the task using dev/tasks/BlogMigrationTask either via the browser or sake CLI to migrate your legacy blog to the new version data structure.